System.Design 2.0.0.0 System.Drawing.Design.UITypeEditor

An instance of the class is a object that can be used at design time to select and edit a connection string expression and to assign the expression to a control property. For example, the control uses the class at design time to set the value of the property.

Use the attribute to associate the with a property. When the associated property is edited on the design surface, the designer host calls the method. The method displays a user interface for building the connection string expression and returns the connection string that is selected by the user. The method indicates the display style of the user interface.

Provides a base class for a user interface to select and edit a connection string property at design time.

- Constructor
  2.0.0.0
  To be added.

  Initializes a new instance of the class.

- Method
  2.0.0.0
  System.Object `` `` ``

  The method starts the user interface for editing the object. The designer host calls the method when you edit the value of a property that the connection string editor is associated with. The input service provider is used to obtain any editing services that are required within the method.

  If an service implementation is supported in the specified context, the method initializes a control, which prompts you to select an existing connection expression or build a new connection expression. If an service implementation is not supported in the specified context, the method displays a simple instance of the class, which prompts you to enter the connection expression string.

  If you cancel without selecting a connection expression string, the returned object is the same as the parameter.

  Edits the value of the specified object by using the specified service provider and context.

  The selected connection expression, as a string object; otherwise, if a connection expression was not selected, the same that was passed in.

  An to use to gain additional context information. A service provider object through which to obtain editing services. An instance of the object being edited.
- Method
  2.0.0.0
  System.Drawing.Design.UITypeEditorEditStyle ``

  By default, the method of the class returns the value. If an service implementation is supported in the specified context, the method returns the value.

  If the method is not supported in the specified context, the method returns the value.

  Returns the editing style that is associated with the connection string editor for the specified context.

  An enumeration value that indicates the editing style for the provided user interface.

  An to use to gain additional context information.
- Method
  2.0.0.0
  System.String ``

  The method gets the provider name for the current instance of the class. For example, in the class, which is derived from class, the method returns the provider name.

  Returns the provider name for the provided instance of the class.

  Always an empty string ("").

  A or an instance of a derived class.
- Method
  2.0.0.0
  System.Void `` ``

  The method sets the provider name on the parameter. For example, in the SqlDataSourceConnectionStringEditor, which derives from the class, this either sets the provider name or adds an object, if the connection is a configured connection. In this implementation, the method does nothing.

  Puts the provider name on the specified instance of the class.

  A or an instance of a derived class. A .